Bug 718392 - [abrt] blueman-1.21-7.fc15: connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply
[abrt] blueman-1.21-7.fc15: connection.py:630:call_blocking:DBusException: or...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:db317e63ceef696c2f476dd3025...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-02 06:12 EDT by Sebastian Krämer
Modified: 2012-08-07 13:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 13:33:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian Krämer 2011-07-02 06:12:00 EDT
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/bin/blueman-manager
component:      blueman
executable:     /usr/bin/blueman-manager
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        blueman-1.21-7.fc15
reason:         connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
time:           Sat Jul  2 12:08:29 2011
uid:            500
username:       sebi

backtrace:
:connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 586, in msg_reply_handler
:    reply_handler(*message.get_args_list(**get_args_opts))
:  File "/usr/bin/blueman-manager", line 133, in on_bluez_name_owner_changed
:    on_bt_status_changed(False)
:  File "/usr/bin/blueman-manager", line 100, in on_bt_status_changed
:    check_bluetooth_status(_("Bluetooth needs to be turned on for the device manager to function"), lambda: gtk.main_quit())
:  File "/usr/lib/python2.7/site-packages/blueman/Functions.py", line 86, in check_bluetooth_status
:    applet.SetBluetoothStatus(True, *args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 140, in __call__
:    **keywords)
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 630, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SessionBus (session) at 0x16e2e90>
:args: (True,)
:utf8_strings: False
:bus_name: 'org.blueman.Applet'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:object_path: '/'
:timeout: -1.0
:signature: u'b'
:dbus_interface: 'org.blueman.Applet'
:message: <dbus.lowlevel.MethodCallMessage object at 0x122ac90>
:method: 'SetBluetoothStatus'

comment:
:It appears blueman-applet is interfering with bluetooth-applet.
:It doesn't recognize when bluetooth is already active. On the otherhand, activating it after disabling via bluetooth-applet doesn't work either (timed out).. However, I don't know when exaclty it crashed or why.
Comment 1 Sebastian Krämer 2011-07-02 06:24:05 EDT
Package: blueman-1.21-7.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
It appears blueman-applet is interfering with bluetooth-applet.
It doesn't recognize when bluetooth is already active. On the otherhand, activating it after disabling via bluetooth-applet doesn't work either (timed out).. However, I don't know when exaclty it crashed or why.
Comment 2 Weparo 2011-11-17 08:46:50 EST
Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
tried to run blueman
Comment 3 Weparo 2011-11-17 18:36:49 EST
Package: blueman-1.21-10.fc16
Architecture: i686
OS Release: Fedora release 16 (Verne)

Comment
-----
I just try to start blueman, please fix this!
Comment 4 darton 2012-03-23 16:28:27 EDT
Power-up the system, log in, goto menu->Settings->Bluetooth Manager. The system shows a busy mouse cursor for some 10 seconds, then normal cursor for some other 10 seconds, then ABRT message. Everything else works normally in the process, the system does not hang up, just shows the busy cursor. It is 100% reproducible.

Package: blueman-1.21-10.fc16
OS Release: Fedora release 16 (Verne)
Comment 5 Fedora End Of Life 2012-08-07 13:33:08 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.